module(...)
--magic editor build
DATA={
	atk_stophit=true,
	cmds={
		[1]={
			args={action_name=[[attack2]],excutor=[[atkobj]],},
			func_name=[[PlayAction]],
			start_time=0,
		},
		[2]={args={alive_time=0.5,},func_name=[[Name]],start_time=0,},
		[3]={
			args={
				alive_time=3,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_412/Prefabs/412_camera.prefab]],
					preload=true,
				},
				excutor=[[atkobj]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=0,
		},
		[4]={
			args={alive_time=0.5,color={a=0,b=255,g=255,r=255,},excutor=[[atkobj]],fade_time=0.1,},
			func_name=[[ActorColor]],
			start_time=0.8,
		},
		[5]={
			args={
				begin_type=[[current]],
				calc_face=true,
				ease_type=[[Linear]],
				end_relative={base_pos=[[vic]],depth=0,relative_angle=0,relative_dis=-5,},
				end_type=[[end_relative]],
				excutor=[[atkobj]],
				look_at_pos=true,
				move_time=0.1,
				move_type=[[line]],
			},
			func_name=[[Move]],
			start_time=0.9,
		},
		[6]={args={},func_name=[[MagcAnimStart]],start_time=2.1,},
		[7]={
			args={shake_dis=0.03,shake_rate=20,shake_time=0.5,},
			func_name=[[ShakeScreen]],
			start_time=2.4,
		},
		[8]={
			args={
				alive_time=1,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_412/Prefabs/412_attack2.prefab]],
					preload=true,
				},
				effect_dir_type=[[backward]],
				effect_pos={base_pos=[[vic]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[vicobjs]],
			},
			func_name=[[StandEffect]],
			start_time=2.4,
		},
		[9]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=true,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=2.4,
		},
		[10]={
			args={
				alive_time=1,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_412/Prefabs/412_hit.prefab]],
					preload=true,
				},
				excutor=[[vicobj]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=2.4,
		},
		[11]={
			args={
				alive_time=1,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_412/Prefabs/412_hit.prefab]],
					preload=true,
				},
				excutor=[[vicobj]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=2.55,
		},
		[12]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=true,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=2.55,
		},
		[13]={
			args={
				alive_time=1,
				bind_type=[[pos]],
				body_pos=[[waist]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_412/Prefabs/412_hit.prefab]],
					preload=true,
				},
				excutor=[[vicobj]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=3.05,
		},
		[14]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=true,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=3.05,
		},
		[15]={
			args={
				alive_time=0.15,
				ease_hide_time=0.1,
				ease_show_time=0,
				excutor=[[vicobjs]],
				mat_path=[[Material/effect_Fresnel_zise.mat]],
			},
			func_name=[[ActorMaterial]],
			start_time=3.05,
		},
		[16]={args={},func_name=[[MagcAnimEnd]],start_time=3.3,},
		[17]={
			args={shake_dis=0.1,shake_rate=15,shake_time=0.2,},
			func_name=[[ShakeScreen]],
			start_time=3.3,
		},
		[18]={args={},func_name=[[End]],start_time=3.5,},
	},
	group_cmds={},
	magic_anim_end_time=3.3,
	magic_anim_start_time=2.1,
	pre_load_res={
		[1]=[[Effect/Magic/magic_eff_new_412/Prefabs/412_camera.prefab]],
		[2]=[[Effect/Magic/magic_eff_new_412/Prefabs/412_attack2.prefab]],
		[3]=[[Effect/Magic/magic_eff_new_412/Prefabs/412_hit.prefab]],
		[4]=[[Effect/Magic/magic_eff_new_412/Prefabs/412_hit.prefab]],
		[5]=[[Effect/Magic/magic_eff_new_412/Prefabs/412_hit.prefab]],
	},
	run_env=[[war]],
	type=1,
	wait_goback=true,
}
